class Tank:
    def __init__(self, capacity, level=0):
        self.capacity = capacity
        self.levels = [level]

    @property
    def level(self):
        return self.levels[-1]

    def update(self, flow, time, update=True):
        """Update level.

        Args:
            flow (float): Net flow rate.
            time (float): Duration.
            update (bool): Whether to update (True) or just check (False) new level.
        """
        level = self.level + flow * time
        if update:
            self.levels.append(level)
        return level
